import { UmbMediaTypeSearchRepository } from './media-type-search.repository.js';
import { UmbControllerBase } from '../../../../libs/class-api/index.js';
export class UmbMediaTypeSearchProvider extends UmbControllerBase {
    #repository = new UmbMediaTypeSearchRepository(this);
    async search(args) {
        return this.#repository.search(args);
    }
    destroy() {
        this.#repository.destroy();
    }
}
export { UmbMediaTypeSearchProvider as api };
